classification
Title: update vendorized expat to 2.2.7
Type: Stage: resolved
Components: XML Versions: Python 3.9, Python 3.8, Python 3.7, Python 3.6, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, miss-islington, ned.deily
Priority: normal Keywords: patch

Created on 2019-06-28 03:29 by benjamin.peterson, last changed 2019-07-02 22:34 by ned.deily. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 14436 merged benjamin.peterson, 2019-06-28 03:35
PR 14437 merged miss-islington, 2019-06-28 03:55
PR 14438 merged miss-islington, 2019-06-28 03:55
PR 14439 merged miss-islington, 2019-06-28 03:55
PR 14440 merged miss-islington, 2019-06-28 03:55
PR 14470 merged benjamin.peterson, 2019-06-29 22:44
PR 14471 merged miss-islington, 2019-06-29 23:00
PR 14472 merged miss-islington, 2019-06-29 23:00
PR 14473 merged benjamin.peterson, 2019-06-29 23:02
PR 14539 merged benjamin.peterson, 2019-07-02 04:53
PR 14540 merged miss-islington, 2019-07-02 05:08
PR 14541 merged miss-islington, 2019-07-02 05:08
PR 14542 merged miss-islington, 2019-07-02 05:08
PR 14543 closed miss-islington, 2019-07-02 05:08
PR 14544 merged miss-islington, 2019-07-02 05:22
Messages (17)
msg346794 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2019-06-28 03:29
Fixes CVE-2018-20843.
msg346795 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2019-06-28 03:54
New changeset 3b03b09fc94425915c5b1225e9200a3a95bc827b by Benjamin Peterson in branch 'master':
closes bpo-37437: Update vendorized expat to 2.2.7. (GH-14436)
https://github.com/python/cpython/commit/3b03b09fc94425915c5b1225e9200a3a95bc827b
msg346796 - (view) Author: miss-islington (miss-islington) Date: 2019-06-28 04:12
New changeset 515a026eb068e2730b6e2cddc9bbb1aef39d71fd by Miss Islington (bot) in branch '3.8':
closes bpo-37437: Update vendorized expat to 2.2.7. (GH-14436)
https://github.com/python/cpython/commit/515a026eb068e2730b6e2cddc9bbb1aef39d71fd
msg346797 - (view) Author: miss-islington (miss-islington) Date: 2019-06-28 04:15
New changeset 87cc66877ccf9c8222d51515c0d8de40c39d8af2 by Miss Islington (bot) in branch '3.7':
closes bpo-37437: Update vendorized expat to 2.2.7. (GH-14436)
https://github.com/python/cpython/commit/87cc66877ccf9c8222d51515c0d8de40c39d8af2
msg346798 - (view) Author: miss-islington (miss-islington) Date: 2019-06-28 04:16
New changeset 6632906c08e1d4de0fceba42c47886be41b7ba3d by Miss Islington (bot) in branch '3.6':
closes bpo-37437: Update vendorized expat to 2.2.7. (GH-14436)
https://github.com/python/cpython/commit/6632906c08e1d4de0fceba42c47886be41b7ba3d
msg346799 - (view) Author: miss-islington (miss-islington) Date: 2019-06-28 04:24
New changeset 4397c68663efe58930b31c561e5948b4038875ae by Miss Islington (bot) in branch '2.7':
closes bpo-37437: Update vendorized expat to 2.2.7. (GH-14436)
https://github.com/python/cpython/commit/4397c68663efe58930b31c561e5948b4038875ae
msg346848 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2019-06-28 18:12
The expat update introduces unsightly build warnings:

gcc -Wno-unused-result -Wsign-compare -Wunreachable-code -DNDEBUG -g -fwrapv -O3 -Wall -std=c99 -Wextra -Wno-unused-result -Wno-unused-parameter -Wno-missing-field-initializers -Wstrict-prototypes -Werror=implicit-function-declaration -I./Include/internal -DHAVE_EXPAT_CONFIG_H=1 -DXML_POOR_ENTROPY=1 -DUSE_PYEXPAT_CAPI -I/Users/nad/Projects/PyDev/active/dev/3x/source/Modules/expat -I./Include -I. -I/Users/nad/Projects/PyDev/active/dev/3x/source/Include -I/Users/nad/Projects/PyDev/active/dev/3x/source -c /Users/nad/Projects/PyDev/active/dev/3x/source/Modules/expat/xmlparse.c -o build/temp.macosx-10.14-x86_64-3.9/Users/nad/Projects/PyDev/active/dev/3x/source/Modules/expat/xmlparse.o -Wno-implicit-fallthrough
/Users/nad/Projects/PyDev/active/dev/3x/source/Modules/expat/xmlparse.c:3027:11: warning: code will never be executed
      [-Wunreachable-code]
          parser->m_characterDataHandler(parser->m_handlerArg, parser->m_dataBuf, 0);
          ^~~~~~
/Users/nad/Projects/PyDev/active/dev/3x/source/Modules/expat/xmlparse.c:3026:18: note: silence by adding parentheses to
      mark code as explicitly dead
        else if (0 && parser->m_characterDataHandler)
                 ^
                 /* DISABLES CODE */ ( )
/Users/nad/Projects/PyDev/active/dev/3x/source/Modules/expat/xmlparse.c:3728:9: warning: code will never be executed
      [-Wunreachable-code]
        parser->m_characterDataHandler(parser->m_handlerArg, parser->m_dataBuf, 0);
        ^~~~~~
/Users/nad/Projects/PyDev/active/dev/3x/source/Modules/expat/xmlparse.c:3727:16: note: silence by adding parentheses to
      mark code as explicitly dead
      else if (0 && parser->m_characterDataHandler)
               ^
               /* DISABLES CODE */ ( )
2 warnings generated.
msg346902 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2019-06-29 23:00
New changeset 95da310078a9364bae9ab3f2ad9c71e34306a70c by Benjamin Peterson in branch 'master':
bpo-37437: Pass -Wno-unreachable-code when compiling expat. (GH-14470)
https://github.com/python/cpython/commit/95da310078a9364bae9ab3f2ad9c71e34306a70c
msg346904 - (view) Author: miss-islington (miss-islington) Date: 2019-06-29 23:16
New changeset ffa419ad004de96395a655f6b8d1a58b7c73372e by Miss Islington (bot) in branch '3.7':
bpo-37437: Pass -Wno-unreachable-code when compiling expat. (GH-14470)
https://github.com/python/cpython/commit/ffa419ad004de96395a655f6b8d1a58b7c73372e
msg346905 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2019-06-29 23:52
New changeset 66c42f8bbcf5fa261a0d944ce8fbca9220abd11d by Benjamin Peterson in branch '3.8':
[3.8] bpo-37437: Pass -Wno-unreachable-code when compiling expat. (GH-14473)
https://github.com/python/cpython/commit/66c42f8bbcf5fa261a0d944ce8fbca9220abd11d
msg346906 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2019-06-30 00:36
New changeset a1093e4dee9dd05cf3a844349c94fed52c4ebd89 by Ned Deily (Miss Islington (bot)) in branch '3.6':
bpo-37437: Pass -Wno-unreachable-code when compiling expat. (GH-14470) (GH-14472)
https://github.com/python/cpython/commit/a1093e4dee9dd05cf3a844349c94fed52c4ebd89
msg347103 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2019-07-02 05:07
New changeset 2cd07920bb7d2d319999394092190f37935dc421 by Benjamin Peterson in branch 'master':
Put pyexpatns.h include back. bpo-37437 (GH-14539)
https://github.com/python/cpython/commit/2cd07920bb7d2d319999394092190f37935dc421
msg347104 - (view) Author: miss-islington (miss-islington) Date: 2019-07-02 05:26
New changeset 9bd5479f8aba2687f4b8de735b1de50ef1405f19 by Miss Islington (bot) in branch '3.8':
Put pyexpatns.h include back. bpo-37437 (GH-14539)
https://github.com/python/cpython/commit/9bd5479f8aba2687f4b8de735b1de50ef1405f19
msg347105 - (view) Author: miss-islington (miss-islington) Date: 2019-07-02 05:29
New changeset f3130fab9c5cbc7125695dbd66cdc2fd76e20093 by Miss Islington (bot) in branch '3.7':
Put pyexpatns.h include back. bpo-37437 (GH-14539)
https://github.com/python/cpython/commit/f3130fab9c5cbc7125695dbd66cdc2fd76e20093
msg347106 - (view) Author: miss-islington (miss-islington) Date: 2019-07-02 05:38
New changeset 03b01280825871f6a5bb165fe25d412e33751d45 by Miss Islington (bot) in branch '2.7':
Put pyexpatns.h include back. bpo-37437 (GH-14539)
https://github.com/python/cpython/commit/03b01280825871f6a5bb165fe25d412e33751d45
msg347107 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2019-07-02 05:48
New changeset 29d6905826d4417426e70f6209ca5e0db7921685 by Benjamin Peterson (Miss Islington (bot)) in branch '3.6':
Put pyexpatns.h include back. bpo-37437 (GH-14542)
https://github.com/python/cpython/commit/29d6905826d4417426e70f6209ca5e0db7921685
msg347159 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2019-07-02 22:34
New changeset cc0bf97d61fbe844843f28abc510a11f3ef09942 by Ned Deily (Miss Islington (bot)) in branch '3.7':
closes bpo-37437: Update vendorized expat to 2.2.7. (GH-14436)
https://github.com/python/cpython/commit/cc0bf97d61fbe844843f28abc510a11f3ef09942

New changeset 3e24dd52bba863fce4f3c6a34ca9f813666ed181 by Ned Deily (Miss Islington (bot)) in branch '3.7':
bpo-37437: Pass -Wno-unreachable-code when compiling expat. (GH-14470)
https://github.com/python/cpython/commit/3e24dd52bba863fce4f3c6a34ca9f813666ed181

New changeset 6348364ba5a76c66bd8a8e5466d7f9db435b88e3 by Ned Deily (Miss Islington (bot)) in branch '3.7':
Put pyexpatns.h include back. bpo-37437 (GH-14539)
https://github.com/python/cpython/commit/6348364ba5a76c66bd8a8e5466d7f9db435b88e3
History
Date User Action Args
2019-07-02 22:34:02ned.deilysetmessages: + msg347159
2019-07-02 05:48:19benjamin.petersonsetmessages: + msg347107
2019-07-02 05:38:36miss-islingtonsetmessages: + msg347106
2019-07-02 05:29:08miss-islingtonsetmessages: + msg347105
2019-07-02 05:26:43miss-islingtonsetmessages: + msg347104
2019-07-02 05:22:04miss-islingtonsetpull_requests: + pull_request14357
2019-07-02 05:08:36miss-islingtonsetpull_requests: + pull_request14356
2019-07-02 05:08:26miss-islingtonsetpull_requests: + pull_request14355
2019-07-02 05:08:11miss-islingtonsetpull_requests: + pull_request14354
2019-07-02 05:08:02miss-islingtonsetpull_requests: + pull_request14353
2019-07-02 05:07:49benjamin.petersonsetmessages: + msg347103
2019-07-02 04:53:32benjamin.petersonsetpull_requests: + pull_request14352
2019-06-30 00:36:33ned.deilysetmessages: + msg346906
2019-06-29 23:52:04benjamin.petersonsetmessages: + msg346905
2019-06-29 23:16:49miss-islingtonsetmessages: + msg346904
2019-06-29 23:02:22benjamin.petersonsetpull_requests: + pull_request14290
2019-06-29 23:00:55miss-islingtonsetpull_requests: + pull_request14289
2019-06-29 23:00:41miss-islingtonsetpull_requests: + pull_request14288
2019-06-29 23:00:28benjamin.petersonsetmessages: + msg346902
2019-06-29 22:44:54benjamin.petersonsetpull_requests: + pull_request14287
2019-06-28 18:12:53ned.deilysetnosy: + ned.deily
messages: + msg346848
2019-06-28 04:24:55miss-islingtonsetmessages: + msg346799
2019-06-28 04:16:51miss-islingtonsetmessages: + msg346798
2019-06-28 04:15:12miss-islingtonsetmessages: + msg346797
2019-06-28 04:12:44miss-islingtonsetnosy: + miss-islington
messages: + msg346796
2019-06-28 03:55:36miss-islingtonsetpull_requests: + pull_request14256
2019-06-28 03:55:26miss-islingtonsetpull_requests: + pull_request14255
2019-06-28 03:55:09miss-islingtonsetpull_requests: + pull_request14254
2019-06-28 03:55:00miss-islingtonsetpull_requests: + pull_request14253
2019-06-28 03:54:47benjamin.petersonsetstatus: open -> closed
resolution: fixed
messages: + msg346795

stage: patch review -> resolved
2019-06-28 03:35:12benjamin.petersonsetkeywords: + patch
stage: patch review
pull_requests: + pull_request14252
2019-06-28 03:29:05benjamin.petersoncreate